<i18n>
{
  "fr": {
    "title-1": "Formats des fichiers de missions",
    "title-2": "Pays et codes ISO3166",
    "text-1": "GES 1point5 reconnaît deux formats de fichier de missions :",
    "header-1": "Nom du pays",
    "header-2": "Code ISO3166",
    "link": "code ISO3166",
    "tab-1": "Format GES 1point5",
    "tab-2": "Format Geslab",
    "format-1": "le format GES 1point5 ;",
    "format-2": "le format exporté par l'outil de gestion Geslab du CNRS. Si votre laboratoire est sous tutelle CNRS, demandez à votre gestionnaire un export des missions à partir de geslab (<a class='link' target='_blank' href='/static/carbon/MODOP_MIS4-Extraction_donnees_CNRS-def.pdf'> <span class='icon is-small'><i class='sui sui-file-pdf-o'></i></span> état BIRT MIS_4 </a>). Notez cependant que l’export obtenu génère souvent de nombreuses anomalies à l’import dans GES 1point5, car il dépend de la façon dont les missions ont été saisies dans geslab lors de leur création. Les soucis les plus fréquents sont les suivants : les villes de départ ou d’arrivée ne sont pas reconnues car leur nom n’est pas conforme à la base de données geonames ; les pays de départ ou d’arrivée ne sont pas reconnus car leur nom n’est pas conforme au code ISO3166 ; le mode de déplacement n’est pas reconnu. Il n’y a pas d’autre façon de corriger ces anomalies pour rendre la mission « valide » que de faire les ajustements manuellement.",
    "gesf-1": "<strong>« # mission » </strong> : utilisez une ligne par étape du déplacement, le numéro de mission est un simple numéro d'ordre (de 1 à n) qui permet de regrouper l'ensemble des déplacements d'une même mission. Si le retour est différent de l'aller, saisissez-les sur deux lignes différentes ;",
    "gesf-2": "<strong>« Date de départ » </strong> : une date au format jj/mm/aaaa ;",
    "gesf-3": "<strong>« Ville de départ » </strong> : la ville de départ du déplacement. Ce champ est utilisé pour rechercher les coordonnées GPS du départ du déplacement à l'aide de la base de données <a href='https://www.geonames.org/' target='_blank' class='link'>geonames</a>. Dans le cas où la recherche est infructueuse, le déplacement n'est pas pris en compte et un warning sera affiché ;",
    "gesf-4": "<strong>« Pays de départ » </strong> : le pays de départ du déplacement ou son",
    "gesf-5": "<strong>« Ville de destination » </strong> : la ville de destination du déplacement. Ce champ est utilisé pour rechercher les coordonnées GPS de la destination du déplacement à l'aide de la base de données <a href='https://www.geonames.org/' target='_blank' class='link'>geonames</a>. Dans le cas où la recherche est infructueuse, le déplacement n'est pas pris en compte et un warning sera affiché ;",
    "gesf-6": "<strong>« Pays de destination » </strong> : le pays de destination du déplacement ou son",
    "gesf-7": "<strong>« Mode de déplacement » </strong> : cette colonne peut prendre une valeur parmi",
    "gesf-8": "<strong>« Nb de personnes dans la voiture » </strong> : dans le cas d'un déplacement en voiture ou en taxi, renseignez le nombre de personnes présentes dans la voiture ;",
    "gesf-9": "<strong>« Aller / Retour » </strong> : si l'aller et le retour sont identiques, renseignez « OUI », sinon « NON » ;",
    "gesf-10": "<strong>« Motif du déplacement (optionnel) » </strong> : cette colonne, optionnelle, permettra à l'outil de faire des statistiques d'émissions basées sur le motif du déplacement. Cette colonne peut prendre une valeur parmi",
    "gesf-11": "<strong>« Statut de l'agent (optionnel) » </strong> : cette colonne, optionnelle, permettra à l'outil de faire des statistiques d'émissions basées sur les statuts des agents. Cette colonne peut prendre une valeur parmi",
    "gesl-1": "<strong>« Groupe labo » </strong> ;",
    "gesl-2": "<strong>« Numéro mission » </strong> ;",
    "gesl-3": "<strong>« Date de départ » </strong> : une date au format jj/mm/aaaa ;",
    "gesl-4": "<strong>« Ville de départ » </strong> : la ville de départ du déplacement. Ce champ est utilisé pour rechercher les coordonnées GPS du départ du déplacement à l'aide de la base de données <a href='https://www.geonames.org/' target='_blank' class='link'>geonames</a>. Dans le cas où la recherche est infructueuse, le déplacement n'est pas pris en compte et un warning sera affiché ;",
    "gesl-5": "<strong>« Ville de destination » </strong> : la ville de destination du déplacement. Ce champ est utilisé pour rechercher les coordonnées GPS de la destination du déplacement à l'aide de la base de données <a href='https://www.geonames.org/' target='_blank' class='link'>geonames</a>. Dans le cas où la recherche est infructueuse, le déplacement n'est pas pris en compte et un warning sera affiché ;",
    "gesl-6": "<strong>« Moyens de transport » </strong> : cette colonne peut prendre une valeur parmi",
    "gesl-7": "Quand plusieurs modes de transport ont été saisis dans Geslab pour une même mission, un seul mode est retenu avec l'ordre de préférence suivant :",
    "gesl-8": "<strong>« Nb de pers. dans la voiture » </strong> : le nombre de personnes dans le véhicule est par défaut égal à 1 car l'information n'est pas présente dans Geslab. Si l'utilisateur le souhaite, il/elle peut modifier manuellement cette donnée une fois le fichier importé ;",
    "gesl-9": "<strong>« Aller / Retour » </strong> : cette information est par défaut « OUI », même quand la mission est multi-destinations car l'information réelle n'est pas présente dans Geslab. Ce choix mène à surévaluer éventuellement les émissions liées aux missions CNRS. Exemple (fictif) : une mission Toulouse-Paris-New York-Toulouse va être importée dans GES1point5 avec 3 allers-retours, à savoir Toulouse-Paris, Paris-New-York, New-York-Toulouse. Nous avons fait ce choix pour ne pas systématiquement minimiser les émissions des missions CNRS. Dans tous les cas, si l'utilisateur le souhaite, il/elle peut modifier manuellement ces informations une fois le fichier importé ;",
    "gesl-10": "<strong>« Motif du déplacement » </strong> : cette colonne permettra à l'outil de faire des statistiques d'émissions basées sur le motif du déplacement. Cette colonne peut prendre une valeur parmi ['Acq nouv connaissances&techniq', 'Administration de la recherche', 'Autres', 'Colloques et congrés', 'Enseignement dispensé', 'Rech. doc. ou sur terrain', 'Rech. en équipe, collaboration', 'Visite, contact pour projet']. Ces valeurs sont ensuite transformées dans <em>GES 1point5</em> pour être au bon format :",
    "gesl-11": "<strong>« Statut de l'agent » </strong> : cette information est toujours vide car non disponible dans Geslab ;",
    "gesl-12": "<strong>« Date de retour » </strong> : une date au format jj/mm/aaaa ;"
  },
  "en": {
    "title-1": "Formats of the business travel files",
    "title-2": "Countries and ISO3166 codes",
    "text-1": "GES 1point5 allows two formats for the business travel files :",
    "header-1": "Country name",
    "header-2": "ISO3166 code",
    "link": "ISO3166 code",
    "tab-1": "GES 1point5 format",
    "tab-2": "Geslab format",
    "format-1": "the GES 1point5 format ;",
    "format-2": "the format exported by the CNRS Geslab accounting tool. If your laboratory is under CNRS supervision, ask your accountant for an export of business trips from geslab (<a class='link' target='_blank' href='/static/carbon/MODOP_MIS4-Extraction_donnees_CNRS-def.pdf'> <span class='icon is-small'><i class='sui sui-file-pdf-o'></i></span> état BIRT MIS_4 </a>). But note that the export obtained often generates many import anomalies in GES 1point5, because it depends on how the business trips were entered in Geslab when they were created. The most common concerns are: departure or destination cities are not recognized because their name does not comply with the geonames database ; countries of departure or destination are not recognized because their name does not comply with the ISO3166 code  ; the transportation mode is not identified. There is no other way to correct these anomalies to make the business trips « valid » than to make the adjustments manually. ",
    "gesf-1": "<strong>« # trip » </strong> : use one row per trip stage ; the trip number is a simple sequence number (from 1 to n) which makes it possible to gather all the stages of the same trip. If the return is different from the outward journey, enter them on two different rows;",
    "gesf-2": "<strong>« Departure date » </strong> : a date in dd / mm / yyyy format ;",
    "gesf-3": "<strong>« Departure city » </strong> : the departure city of the trip. This field is used to find the GPS coordinates of the departure location using the database <a href='https://www.geonames.org/' target='_blank' class='link'>geonames</a>. If the search is unsuccessful, the trip is not taken into account and a warning will be displayed; ",
    "gesf-4": "<strong>« Country of departure » </strong> : the country of departure or its",
    "gesf-5": "<strong>« Destination city » </strong> : the destination city of the trip. This field is used to find the GPS coordinates of the destination location using the database <a href='https://www.geonames.org/' target='_blank' class='link'>geonames</a>. If the search is unsuccessful, the trip is not taken into account and a warning will be displayed; ",
    "gesf-6": "<strong>« Country of destination » </strong> : the country of destination of the trip or its",
    "gesf-7": "<strong>« Mode of transportation » </strong> : this column can take a value among",
    "gesf-8": "<strong>« No of persons in the car » </strong> : in the case of a trip by car or taxi, please enter the number of persons in the car ;",
    "gesf-9": "<strong>« Roundtrip » </strong> : if the outward and return trips are identical, enter « YES », otherwise « NO » ;",
    "gesf-10": "<strong>« Purpose of the trip (optional) » </strong> : this optional column will allow the tool to make emission statistics based on the purpose of the trip. This column can take a value among ",
    "gesf-11": "<strong>« Agent position (optional) » </strong> : this optional column will allow the tool to make emission statistics based on the agents' positions. This column can take a value among ",
    "gesl-1": "<strong>« Lab's group » </strong> ;",
    "gesl-2": "<strong>« Trip no » </strong> ;",
    "gesl-3": "<strong>« Departure date » </strong> : a date in dd/mm/yyyy format ;",
    "gesl-4": "<strong>« Departure city » </strong> : the departure city of the trip. This field is used to find the GPS coordinates of the departure location using the database <a href='https://www.geonames.org/' target='_blank' class='link'>geonames</a>. If the search is unsuccessful, the trip is not taken into account and a warning will be displayed; ",
    "gesl-5": "<strong>« Destination city » </strong> : the destination city of the trip. This field is used to find the GPS coordinates of the destination location using the database <a href='https://www.geonames.org/' target='_blank' class='link'>geonames</a>. If the search is unsuccessful, the trip is not taken into account and a warning will be displayed; ",
    "gesl-6": "<strong>« Mode of transportation » </strong> : this column can take a value among",
    "gesl-7": "When several modes de transportation are entered in Geslab for the same travel, only one mode is selected with the following order of preference: ",
    "gesl-8": "<strong>« No of persons in the car » </strong> : the number of persons in the vehicle is equal to 1 by default because the information is not present in Geslab. If the user wishes, he / she can manually change the data once the file has been imported ;",
    "gesl-9": "<strong>« Round trip » </strong> : this information is « YES » by default, even when the trip has multiple stages because the real information is not present in Geslab . This choice leads to possibly overestimating the emissions linked to CNRS travel. For example, a journey Toulouse-Paris-New York City-Toulouse is imported in GES1point5 as 3 round trips, Toulouse-Paris, Paris-New-York City, New-York City-Toulouse. We made this choice so as not to systematically minimize the emissions from CNRS travel. In any case, if the user wishes, he / she can manually change the data once the file has been imported ;",
    "gesl-10": "<strong>« Purpose of the trip » </strong> : this optional column will allow the tool to make emission statistics based on the purpose of the trip. This column can take a value among  ['Acq nouv connaissances&techniq', 'Administration de la recherche', 'Autres', 'Colloques et congrés', 'Enseignement dispensé', 'Rech. doc. ou sur terrain', 'Rech. en équipe, collaboration', 'Visite, contact pour projet']. These values are then transformed in <em>GES 1point5</em> to be in the correct format :",
    "gesl-11": "<strong>« Agent position » </strong> : this field is always empty because it is not available in Geslab ;",
    "gesl-12": "<strong>« Return date » </strong> : a date in dd/mm/yyyy format ;"
  }
}
</i18n>

<template>
  <div>
    <su-service :icon="'file-text'" v-if="header">
      <template #title>
        {{ $t('title-1') }}
      </template>
      {{ $t('text-1') }}
      <ul style="list-style-type:square;margin-left:25px">
        <li>{{ $t('format-1') }}</li>
        <li v-html="$t('format-2')"></li>
      </ul>
    </su-service>
    <div class="box-blue" v-else>
      {{ $t('text-1') }}
      <ul style="list-style-type:square;margin-left:25px">
        <li>{{ $t('format-1') }}</li>
        <li v-html="$t('format-2')"></li>
      </ul>
    </div>
    <b-modal
      :active.sync="displayISO3166"
      has-modal-card
      style="z-index:9999"
    >
      <div class="modal-card" style="width: 800px; height: auto;z-index:9999">
        <header class="modal-card-head">
          <p class="modal-card-title">
            {{ $t('title-2') }}
          </p>
        </header>
        <section class="modal-card-body">
          <b-table :data="ISO3166" :columns="ISOColumns"></b-table>
        </section>
      </div>
    </b-modal>
    <b-tabs class="block">
      <b-tab-item :label="$t('tab-1')">
        <ul style="list-style-type:square;margin-left:25px">
          <li v-html="$t('gesf-1')"></li>
          <li v-html="$t('gesf-2')"></li>
          <li v-html="$t('gesf-3')"></li>
          <li><span v-html="$t('gesf-4')" /><a class='link' @click='displayISO3166=true'> {{ $t('link') }}</a> ;</li>
          <li v-html="$t('gesf-5')"></li>
          <li><span v-html="$t('gesf-6')" /><a class='link' @click='displayISO3166=true'> {{ $t('link') }}</a> ;</li>
          <li><span v-html="$t('gesf-7')" /> {{ modesDeplacements.map(value => $t(value)) }} ;</li>
          <li v-html="$t('gesf-8')"></li>
          <li v-html="$t('gesf-9')"></li>
          <li><span v-html="$t('gesf-10')" /> {{ motifsDeplacements.map(value => $t(value)) }} ;</li>
          <li><span v-html="$t('gesf-11')" /> {{ statuts.map(value => $t(value)) }} ;</li>
        </ul>
      </b-tab-item>
      <b-tab-item :label="$t('tab-2')">
        <ul style="list-style-type:square;margin-left:25px">
          <li v-html="$t('gesl-1')"></li>
          <li v-html="$t('gesl-2')"></li>
          <li v-html="$t('gesl-3')"></li>
          <li v-html="$t('gesl-4')"></li>
          <li><span v-html="$t('gesf-4')" /><a class='link' @click='displayISO3166=true'> {{ $t('link') }}</a> ;</li>
          <li v-html="$t('gesl-5')"></li>
          <li><span v-html="$t('gesf-6')" /><a class='link' @click='displayISO3166=true'> {{ $t('link') }}</a> ;</li>
          <li>
            <span v-html="$t('gesl-6')" /> {{ modesDeplacements.map(value => $t(value)) }}. <span v-html="$t('gesl-7')" />
            {{ $t(modesDeplacements[0]) }} > {{ $t(modesDeplacements[1]) }} > {{ $t(modesDeplacements[8]) }} > {{ $t(modesDeplacements[4]) }} >
            {{ $t(modesDeplacements[2]) }} > {{ $t(modesDeplacements[6]) }} > {{ $t(modesDeplacements[7]) }} > {{ $t(modesDeplacements[3]) }} > {{ $t(modesDeplacements[5]) }} ;
          </li>
          <li v-html="$t('gesl-8')"></li>
          <li v-html="$t('gesl-9')"></li>
          <li><span v-html="$t('gesl-10')" /> {{ motifsDeplacements.map(value => $t(value)) }} ;</li>
          <li v-html="$t('gesl-11')"></li>
          <li v-html="$t('gesl-12')"></li>
        </ul>
      </b-tab-item>
    </b-tabs>
  </div>
</template>

<script>
import ISO3166 from '../../../../data/ISO3166.json'
import Travel from '@/models/carbon/Travel.js'

export default {
  name: 'TravelsFileFormat',
  components: {
    'su-service': () => import('@/components/SUService.vue')
  },
  props: ['header'],
  data () {
    return {
      displayISO3166: false,
      ISO3166: ISO3166,
      modesDeplacements: Travel.transportations,
      motifsDeplacements: Travel.purposes,
      statuts: Travel.status,
      ISOColumns: [
        {
          field: 'nom',
          label: this.$t('header-1'),
          centered: true
        },
        {
          field: 'iso',
          label: this.$t('header-2'),
          centered: true
        }
      ]
    }
  }
}
</script>
